| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Functions
boost::serialization Namespace Reference

## Functions
template<class Archive , typename T0 , typename T1 >
void | serialize (Archive &ar, boost::tuple< T0, T1 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2, T3 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2, T3, T4 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2, T3, T4, T5 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2, T3, T4, T5, T6 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &t, const unsigned int file_version)
template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
void | serialize (Archive &ar, boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &t, const unsigned int file_version)
template<class Archive , class Key , class Value >
void | save (Archive &ar, const boost::unordered_map< Key, Value > &t, const unsigned int)
template<class Archive , class Key , class Value >
void | load (Archive &ar, boost::unordered_map< Key, Value > &t, const unsigned int)
template<class Archive , class Key , class Value >
void | serialize (Archive &ar, boost::unordered_map< Key, Value > &t, const unsigned int file_version)
template<class Archive , class Key , class Value >
void | save (Archive &ar, const boost::unordered_multimap< Key, Value > &t, const unsigned int)
template<class Archive , class Key , class Value >
void | load (Archive &ar, boost::unordered_multimap< Key, Value > &t, const unsigned int)
template<class Archive , class Key , class Value >
void | serialize (Archive &ar, boost::unordered_multimap< Key, Value > &t, const unsigned int file_version)
template<class Archive , class Key >
void | save (Archive &ar, const boost::unordered_set< Key > &t, const unsigned int)
template<class Archive , class Key >
void | load (Archive &ar, boost::unordered_set< Key > &t, const unsigned int)
template<class Archive , class Key >
void | serialize (Archive &ar, boost::unordered_set< Key > &t, const unsigned int file_version)
template<class Archive , class Key >
void | save (Archive &ar, const boost::unordered_multiset< Key > &t, const unsigned int)
template<class Archive , class Key >
void | load (Archive &ar, boost::unordered_multiset< Key > &t, const unsigned int)
template<class Archive , class Key >
void | serialize (Archive &ar, boost::unordered_multiset< Key > &t, const unsigned int file_version)
template<class Archive , typename T >
void | save (Archive &ar, const QFlags< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | load (Archive &ar, QFlags< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | serialize (Archive &ar, QFlags< T > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | save (Archive &ar, const QHash< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | load (Archive &ar, QHash< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | serialize (Archive &ar, QHash< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename T >
void | save (Archive &ar, const QLinkedList< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | load (Archive &ar, QLinkedList< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | serialize (Archive &ar, QLinkedList< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | save (Archive &ar, const QList< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | load (Archive &ar, QList< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | serialize (Archive &ar, QList< T > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | save (Archive &ar, const QMap< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | load (Archive &ar, QMap< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | serialize (Archive &ar, QMap< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | save (Archive &ar, const QMultiHash< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | load (Archive &ar, QMultiHash< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | serialize (Archive &ar, QMultiHash< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | save (Archive &ar, const QMultiMap< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | load (Archive &ar, QMultiMap< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | serialize (Archive &ar, QMultiMap< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename T1 , typename T2 >
void | serialize (Archive &ar, QPair< T1, T2 > &t, const unsigned int file_version)
template<class Archive , typename T >
void | save (Archive &ar, const QSharedPointer< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | load (Archive &ar, QSharedPointer< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | serialize (Archive &ar, QSharedPointer< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | save (Archive &ar, const QVector< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | load (Archive &ar, QVector< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | serialize (Archive &ar, QVector< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | save (Archive &ar, const QWeakPointer< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | load (Archive &ar, QWeakPointer< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | serialize (Archive &ar, QWeakPointer< T > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | save (Archive &ar, const qx::QxCollection< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | load (Archive &ar, qx::QxCollection< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename Key , typename Value >
void | serialize (Archive &ar, qx::QxCollection< Key, Value > &t, const unsigned int file_version)
template<class Archive , typename T >
void | save (Archive &ar, const qx::dao::ptr< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | load (Archive &ar, qx::dao::ptr< T > &t, const unsigned int file_version)
template<class Archive , typename T >
void | serialize (Archive &ar, qx::dao::ptr< T > &t, const unsigned int file_version)

## Function Documentation

template<class Archive , class Key , class Value >

void boost::serialization::load | ( | Archive & | ar,
|  | boost::unordered_map< Key, Value > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 58 of file QxSerialize_unordered_map.h.

template<class Archive , class Key >

void boost::serialization::load | ( | Archive & | ar,
|  | boost::unordered_set< Key > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 58 of file QxSerialize_unordered_set.h.

template<class Archive , typename T >

void boost::serialization::load | ( | Archive & | ar,
|  | QFlags< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 58 of file QxSerialize_QFlags.h.

template<class Archive , typename T >

void boost::serialization::load | ( | Archive & | ar,
|  | QSharedPointer< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 58 of file QxSerialize_QSharedPointer.h.

template<class Archive , typename T >

void boost::serialization::load | ( | Archive & | ar,
|  | QWeakPointer< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 60 of file QxSerialize_QWeakPointer.h.

template<class Archive , typename T >

void boost::serialization::load | ( | Archive & | ar,
|  | qx::dao::ptr< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 60 of file QxSerialize_QxDaoPointer.h.

template<class Archive , typename T >

void boost::serialization::load | ( | Archive & | ar,
|  | QList< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 61 of file QxSerialize_QList.h.

template<class Archive , typename T >

void boost::serialization::load | ( | Archive & | ar,
|  | QVector< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 61 of file QxSerialize_QVector.h.

template<class Archive , typename T >

void boost::serialization::load | ( | Archive & | ar,
|  | QLinkedList< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 62 of file QxSerialize_QLinkedList.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::load | ( | Archive & | ar,
|  | qx::QxCollection< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 65 of file QxSerialize_QxCollection.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::load | ( | Archive & | ar,
|  | QMap< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 67 of file QxSerialize_QMap.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::load | ( | Archive & | ar,
|  | QMultiHash< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 67 of file QxSerialize_QMultiHash.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::load | ( | Archive & | ar,
|  | QMultiMap< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 67 of file QxSerialize_QMultiMap.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::load | ( | Archive & | ar,
|  | QHash< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 67 of file QxSerialize_QHash.h.

template<class Archive , class Key >

void boost::serialization::load | ( | Archive & | ar,
|  | boost::unordered_multiset< Key > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 78 of file QxSerialize_unordered_set.h.

template<class Archive , class Key , class Value >

void boost::serialization::load | ( | Archive & | ar,
|  | boost::unordered_multimap< Key, Value > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 78 of file QxSerialize_unordered_map.h.

template<class Archive , typename T >

void boost::serialization::save | ( | Archive & | ar,
|  | const QVector< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 50 of file QxSerialize_QVector.h.

template<class Archive , typename T >

void boost::serialization::save | ( | Archive & | ar,
|  | const qx::dao::ptr< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 50 of file QxSerialize_QxDaoPointer.h.

template<class Archive , typename T >

void boost::serialization::save | ( | Archive & | ar,
|  | const QSharedPointer< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 50 of file QxSerialize_QSharedPointer.h.

template<class Archive , typename T >

void boost::serialization::save | ( | Archive & | ar,
|  | const QFlags< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 50 of file QxSerialize_QFlags.h.

template<class Archive , typename T >

void boost::serialization::save | ( | Archive & | ar,
|  | const QLinkedList< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 50 of file QxSerialize_QLinkedList.h.

template<class Archive , typename T >

void boost::serialization::save | ( | Archive & | ar,
|  | const QList< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 50 of file QxSerialize_QList.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::save | ( | Archive & | ar,
|  | const QMap< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 51 of file QxSerialize_QMap.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::save | ( | Archive & | ar,
|  | const QMultiHash< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 51 of file QxSerialize_QMultiHash.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::save | ( | Archive & | ar,
|  | const QMultiMap< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 51 of file QxSerialize_QMultiMap.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::save | ( | Archive & | ar,
|  | const qx::QxCollection< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 51 of file QxSerialize_QxCollection.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::save | ( | Archive & | ar,
|  | const QHash< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 51 of file QxSerialize_QHash.h.

template<class Archive , class Key >

void boost::serialization::save | ( | Archive & | ar,
|  | const boost::unordered_set< Key > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 52 of file QxSerialize_unordered_set.h.

template<class Archive , class Key , class Value >

void boost::serialization::save | ( | Archive & | ar,
|  | const boost::unordered_map< Key, Value > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 52 of file QxSerialize_unordered_map.h.

template<class Archive , typename T >

void boost::serialization::save | ( | Archive & | ar,
|  | const QWeakPointer< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 52 of file QxSerialize_QWeakPointer.h.

template<class Archive , class Key >

void boost::serialization::save | ( | Archive & | ar,
|  | const boost::unordered_multiset< Key > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 72 of file QxSerialize_unordered_set.h.

template<class Archive , class Key , class Value >

void boost::serialization::save | ( | Archive & | ar,
|  | const boost::unordered_multimap< Key, Value > & | t,
|  | const unsigned | int
| ) |  | `[inline]`

Definition at line 72 of file QxSerialize_unordered_map.h.

template<class Archive , typename T1 , typename T2 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QPair< T1, T2 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 50 of file QxSerialize_QPair.h.

template<class Archive , typename T0 , typename T1 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 51 of file QxSerialize_tuple.h.

template<class Archive , typename T0 , typename T1 , typename T2 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 59 of file QxSerialize_tuple.h.

template<class Archive , class Key >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::unordered_set< Key > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 66 of file QxSerialize_unordered_set.h.

template<class Archive , class Key , class Value >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::unordered_map< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 66 of file QxSerialize_unordered_map.h.

template<class Archive , typename T >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QFlags< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 67 of file QxSerialize_QFlags.h.

template<class Archive , typename T >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QSharedPointer< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 67 of file QxSerialize_QSharedPointer.h.

template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2, T3 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 68 of file QxSerialize_tuple.h.

template<class Archive , typename T >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QWeakPointer< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 69 of file QxSerialize_QWeakPointer.h.

template<class Archive , typename T >

void boost::serialization::serialize | ( | Archive & | ar,
|  | qx::dao::ptr< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 70 of file QxSerialize_QxDaoPointer.h.

template<class Archive , typename T >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QList< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 78 of file QxSerialize_QList.h.

template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2, T3, T4 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 78 of file QxSerialize_tuple.h.

template<class Archive , typename T >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QVector< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 79 of file QxSerialize_QVector.h.

template<class Archive , typename T >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QLinkedList< T > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 79 of file QxSerialize_QLinkedList.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::serialize | ( | Archive & | ar,
|  | qx::QxCollection< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 83 of file QxSerialize_QxCollection.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QMap< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 84 of file QxSerialize_QMap.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QMultiMap< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 84 of file QxSerialize_QMultiMap.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QMultiHash< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 85 of file QxSerialize_QMultiHash.h.

template<class Archive , typename Key , typename Value >

void boost::serialization::serialize | ( | Archive & | ar,
|  | QHash< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 85 of file QxSerialize_QHash.h.

template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2, T3, T4, T5 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 89 of file QxSerialize_tuple.h.

template<class Archive , class Key , class Value >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::unordered_multimap< Key, Value > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 92 of file QxSerialize_unordered_map.h.

template<class Archive , class Key >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::unordered_multiset< Key > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 92 of file QxSerialize_unordered_set.h.

template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 101 of file QxSerialize_tuple.h.

template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 114 of file QxSerialize_tuple.h.

template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 128 of file QxSerialize_tuple.h.

template<class Archive , typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

void boost::serialization::serialize | ( | Archive & | ar,
|  | boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | t,
|  | const unsigned int | file_version
| ) |  | `[inline]`

Definition at line 143 of file QxSerialize_tuple.h.